#!/bin/bash

# 20170921 Created by Anthony Lomax

JAVA_PATH=$1
echo "DEBUG: $0 JAVA_PATH=${JAVA_PATH}"


for MODELFILE in *.tvel ; do
	echo "Processing ${MODELFILE} with TauP_Create:"
	${JAVA_PATH}java edu.sc.seis.TauP.TauP_Create -tvel ${MODELFILE}
	#${JAVA_PATH}java edu.sc.seis.TauP.TauP_Create -tvel ${MODELFILE} --vplot ${MODELFILE}.gmt
	#/bin/bash ${MODELFILE}.gmt
done

for MODELFILE in *.nd ; do
	echo "Processing ${MODELFILE} with TauP_Create:"
	${JAVA_PATH}java edu.sc.seis.TauP.TauP_Create -nd ${MODELFILE}
	#${JAVA_PATH}java edu.sc.seis.TauP.TauP_Create -nd ${MODELFILE} --vplot ${MODELFILE}.gmt
	#/bin/bash ${MODELFILE}.gmt
done
